# Create an APM payment

Perform a sale.

Endpoint: POST /apmPayments
Version: 2024-07-01
Security: BasicAuth

## Header parameters:

  - `Content-Type` (string, required)
    The content type of the request body.
    Enum: "application/json"

  - `WP-Api-Version` (string, required)
    The API version.
    Enum: "2024-07-01"

## Request fields (application/json):

  - `transactionReference` (string, required)
    For Bizum transactions, please follow this extra regex [a-zA-Z0-9]{4,12}

  - `orderReference` (string)
    A reference that you can apply to one or more payments according to your business needs.
You may reuse the same reference across multiple payments, for example where:
- the total amount for a single order is split across multiple payments
- you use a single reference for each payment in a recurring agreement or split shipment scenario

  - `merchant` (object, required)

  - `merchant.entity` (string, required)
    Used to route the request in Access Worldpay, created as part of on-boarding.
    Example: "default"

  - `instruction` (object, required) — one of (discriminator: method):
    Object that contains the payment type and details.
    - alipay_cn:
      - `deviceData` (object)
      - `deviceData.device` (string)
        Device type.
        Enum: "desktop", "mobile"
      - `deviceData.operatingSystem` (string)
        Operating system.
        Enum: "windows", "osx", "linux", "ios", "android", "other"
    - alipay_hk:
      - `deviceData` (object)
      - `deviceData.device` (string)
        Device type.
        Enum: same as `deviceData.device` in "alipay_cn" (2 values)
      - `deviceData.operatingSystem` (string)
        Operating system.
        Enum: same as `deviceData.operatingSystem` in "alipay_cn" (6 values)
    - alipay_uni:
      - `deviceData` (object)
      - `deviceData.device` (string)
        Device type.
        Enum: same as `deviceData.device` in "alipay_cn" (2 values)
      - `deviceData.operatingSystem` (string)
        Operating system.
        Enum: same as `deviceData.operatingSystem` in "alipay_cn" (6 values)
    - blik:
      - `termsAccepted` (boolean, required)
        You must collect your customer's consent to [Przelewy24's T&Cs](https://www.przelewy24.pl/regulamin) and pass the value as true. If the value is passed as false, your customer is redirected to a pending URL with an error appended.
    - ideal guest:
      - `shipping` (object)
        The shipping address is required for recurring payments.
      - `shipping.firstName` (string)
        First name.
      - `shipping.lastName` (string)
        Last name.
      - `shipping.email` (string)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.address` (object)
      - `shipping.address.address1` (string, required)
        First line of the address.
      - `shipping.address.address2` (string)
        Second line of the address.
      - `shipping.address.address3` (string)
        Third line of the address.
      - `shipping.address.postalCode` (string, required)
        Postal code.
      - `shipping.address.city` (string, required)
        City.
      - `shipping.address.state` (string, required)
        State.
      - `shipping.address.countryCode` (string, required)
        The supported [ISO 3166-1 alpha-2 country codes](/products/reference/supported-countries-currencies#iso-country-codes).
        Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AN", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "ZA", "ZM", "ZW"
    - ideal recurring:
      - `customerAgreement` (object, required)
      - `customerAgreement.type` (string, required)
        Field required for recurring payments.
        Enum: "recurring"
      - `customerAgreement.reference` (string, required)
        A unique reference generated by you for recurring and token payments. This field must not have any spaces or start with "_".
      - `customerAgreement.mandate` (object, required)
        Object that contains SEPA Direct Debit mandate information
      - `customerAgreement.mandate.type` (string, required)
        Field that contains the type of mandate.
        Enum: same as `customerAgreement.type` in "ideal recurring" (1 values)
      - `customerAgreement.mandate.description` (string, required)
        Description of why the recurring payment is being created.
      - `shipping` (object, required)
        The shipping address is required for recurring payments.
      - `shipping.firstName` (string)
        First name.
      - `shipping.lastName` (string)
        Last name.
      - `shipping.email` (string)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.address` (object)
      - `shipping.address.address1` (string, required)
        First line of the address.
      - `shipping.address.address2` (string)
        Second line of the address.
      - `shipping.address.address3` (string)
        Third line of the address.
      - `shipping.address.postalCode` (string, required)
        Postal code.
      - `shipping.address.city` (string, required)
        City.
      - `shipping.address.state` (string, required)
        State.
      - `shipping.address.countryCode` (string, required)
        The supported [ISO 3166-1 alpha-2 country codes](/products/reference/supported-countries-currencies#iso-country-codes).
        Enum: same as `shipping.address.countryCode` in "ideal guest" (250 values)
    - klarna:
      - `passthroughData` (string)
        Passthrough field, we will treat the value you give here as an opaque string. We do not validate this field beyond checking length. Must contain escaped JSON ready for transmission.
      - `providerToken` (string)
        Provide Klarna’s “Klarna Network Session Token” here. This enables the continuation of your customer's journey when they start through Klarna's Web SDK or Klarna Boost features.
      - `settlement` (object)
        Indicates whether the transaction should be sent for settlement now = true, or later = false at a time of your choosing.
      - `settlement.auto` (boolean)
        Default false
      - `shipping` (object)
      - `shipping.firstName` (string)
        First name.
      - `shipping.lastName` (string)
        Last name.
      - `shipping.email` (string)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.timeFrame` (string)
        Mandatory if you are sending to an alternative non-residential address. You must send this property together with method.
        Enum: "normal", "express"
      - `shipping.method` (string)
        Mandatory if you are sending to an alternative non-residential address. You must send this property together with timeFrame.
        Enum: "physicalToDoor", "physicalToCurb", "physicalToMailbox", "physicalPickupBox", "physicalPickupPoint", "physicalPickupStore", "physicalPickupWarehouse", "physicalOther", "digitalEmail", "digitalDownload", "digitalOther"
      - `shipping.courier` (object)
      - `shipping.courier.name` (string)
      - `shipping.courier.preference` (string)
        Enum: "contactlessDelivery", "leaveAtDoor", "leaveAtCurb", "leaveWithNeighbour"
      - `shipping.courier.tracked` (boolean)
      - `shipping.courier.identification` (boolean)
      - `shipping.courier.signature` (boolean)
      - `shipping.courier.empty` (boolean)
      - `shipping.phone` (string)
      - `order` (object)
        Object that contains the complete list of lines relating to the transaction.
      - `order.items` (array, required)
      - `order.items.productCode` (string)
        Your customer facing product code, e.g. SKU (stock keeping unit) or similar.
      - `order.items.name` (string, required)
        Description or name of item, e.g. “mobile phone”.
      - `order.items.quantity` (number, required)
        Number of items being purchased.
      - `order.items.unitCost` (number, required)
        Cost for each unit of the item with tax included.
      - `order.items.totalTaxAmount` (number, required)
        How much of totalAmount is tax. If you need to work it out backwards the formula is: totalTaxAmount = totalAmount - (totalAmount / (1+(taxRate/10000))).
      - `order.items.totalAmount` (number, required)
        Sum of all chargeable elements on the line added together. Formula is: totalAmount = (unitCost x quantity) - totalDiscountAmount.
      - `order.items.productUrl` (string)
        Link to the product page that can later be embedded in communications between Klarna and your customer.
      - `order.items.imageUrl` (string)
        Link to the product image that can later be embedded in communications between Klarna and your customer.

Note: we recommend you submit this to improve the post-purchase customer experience.
    - klarna recurring:
      - `shipping` (object)
        This is required for physical goods. It can be omitted for digital goods.
      - `shipping.firstName` (string, required)
        First name.
      - `shipping.lastName` (string, required)
        Last name.
      - `shipping.email` (string, required)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.address` (object, required)
      - `shipping.address.address1` (string, required)
        First line of the address.
      - `shipping.address.address2` (string)
        Second line of the address.
      - `shipping.address.address3` (string)
        Third line of the address.
      - `shipping.address.postalCode` (string, required)
        Postal code.
      - `shipping.address.city` (string, required)
        City.
      - `shipping.address.state` (string, required)
        State.
      - `shipping.address.countryCode` (string, required)
        The supported [ISO 3166-1 alpha-2 country codes](/products/reference/supported-countries-currencies#iso-country-codes).
        Enum: same as `shipping.address.countryCode` in "ideal guest" (250 values)
      - `shipping.phone` (string, required)
        Phone number.
      - `shipping.timeFrame` (string)
        Mandatory if being sent to an alternative non-residential address and must be sent together with method.
        Enum: same as `shipping.timeFrame` in "klarna" (2 values)
      - `shipping.method` (string)
        Mandatory if being sent to an alternative non-residential address. This is required for physical goods being sent to an address not specified by your customer.
        Enum: "store pick up", "pick up point", "registered box", "unregistered box"
      - `order` (object, required)
      - `order.orderTotalTaxAmount` (number, required)
        Sum of all tax in the order. A validation mechanism is in place to verify the tax calculations provided are correct and match the line level tax amounts.
      - `order.termsUrl` (string, required)
        Link to your “Terms and Conditions”.
      - `order.items` (array, required)
      - `order.items.type` (string, required)
        The type of item.
        Enum: "discount", "digital", "giftCard", "physical", "shippingFee", "storeCredit", "salesTaxType", "surcharge"
      - `order.items.productCode` (string)
        Your customer facing product code, e.g. SKU (stock keeping unit) or similar.
      - `order.items.name` (string, required)
        Description or name of item, e.g. “mobile phone”.
      - `order.items.quantity` (number, required)
        Number of items being purchased.
      - `order.items.unitOfMeasure` (string)
        Free text field used to describe the unit of the item given, e.g. “kg”, “pcs”, “tickets”.
      - `order.items.unitCost` (number, required)
        Cost for each unit of the item with tax included.
      - `order.items.taxRate` (number, required)
        Rate of tax as a percentage to be applied to the order line. Use the current tax rate on the date of order.
      - `order.items.totalTaxAmount` (number, required)
        How much of totalAmount is tax. If you need to work it out backwards the formula is: totalTaxAmount = totalAmount - (totalAmount / (1+(taxRate/10000))).
      - `order.items.totalAmount` (number, required)
        Sum of all chargeable elements on the line added together. Formula is: totalAmount = (unitCost x quantity) - totalDiscountAmount.
      - `order.items.totalDiscountAmount` (number)
        Total line discount.
      - `order.items.productUrl` (string)
        Link to the product page that can later be embedded in communications between Klarna and your customer.
      - `order.items.imageUrl` (string)
        Link to the product image that can later be embedded in communications between Klarna and your customer.

Note: we recommend you submit this to improve the post-purchase customer experience.
      - `customerAgreement` (object, required)
      - `customerAgreement.type` (string, required)
        Enum: same as `customerAgreement.type` in "ideal recurring" (1 values)
      - `customerAgreement.description` (string, required)
        Description of subscription, e.g. "Monthly lenses plan".
      - `customerAgreement.agreementName` (string)
        Name of the product on subscription, e.g. "Contact lenses" (displayed as it would be on a bill). The subscription name you send is accepted, regardless of whether it exists on your side.
      - `customerAgreement.startDate` (string, required)
        Start date for the billing period the payment is for.
        Example: "2024-01-01"
      - `customerAgreement.endDate` (string, required)
        End date for the billing period the payment is for.
        Example: "2024-01-01"
      - `customerAgreement.affiliateName` (string)
        Affiliate marketing name that makes the product memorable and impactful.
    - klarna token:
      - `shipping` (object)
        This is required for physical goods. It can be omitted for digital goods.
      - `shipping.firstName` (string, required)
        First name.
      - `shipping.lastName` (string, required)
        Last name.
      - `shipping.email` (string, required)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.address` (object, required)
      - `shipping.address.address1` (string, required)
        First line of the address.
      - `shipping.address.address2` (string)
        Second line of the address.
      - `shipping.address.address3` (string)
        Third line of the address.
      - `shipping.address.postalCode` (string, required)
        Postal code.
      - `shipping.address.city` (string, required)
        City.
      - `shipping.address.state` (string, required)
        State.
      - `shipping.address.countryCode` (string, required)
        The supported [ISO 3166-1 alpha-2 country codes](/products/reference/supported-countries-currencies#iso-country-codes).
        Enum: same as `shipping.address.countryCode` in "ideal guest" (250 values)
      - `shipping.phone` (string, required)
        Phone number.
      - `shipping.timeFrame` (string)
        Mandatory if being sent to an alternative non-residential address and must be sent together with method.
        Enum: same as `shipping.timeFrame` in "klarna" (2 values)
      - `shipping.method` (string)
        Mandatory if being sent to an alternative non-residential address. This is required for physical goods being sent to an address not specified by your customer.
        Enum: same as `shipping.method` in "klarna recurring" (4 values)
      - `order` (object, required)
      - `order.orderTotalTaxAmount` (number, required)
        Sum of all tax in the order. A validation mechanism is in place to verify the tax calculations provided are correct and match the line level tax amounts.
      - `order.termsUrl` (string, required)
        Link to your “Terms and Conditions”.
      - `order.items` (array, required)
      - `order.items.type` (string, required)
        The type of item.
        Enum: same as `order.items.type` in "klarna recurring" (8 values)
      - `order.items.productCode` (string)
        Your customer facing product code, e.g. SKU (stock keeping unit) or similar.
      - `order.items.name` (string, required)
        Description or name of item, e.g. “mobile phone”.
      - `order.items.quantity` (number, required)
        Number of items being purchased.
      - `order.items.unitOfMeasure` (string)
        Free text field used to describe the unit of the item given, e.g. “kg”, “pcs”, “tickets”.
      - `order.items.unitCost` (number, required)
        Cost for each unit of the item with tax included.
      - `order.items.taxRate` (number, required)
        Rate of tax as a percentage to be applied to the order line. Use the current tax rate on the date of order.
      - `order.items.totalTaxAmount` (number, required)
        How much of totalAmount is tax. If you need to work it out backwards the formula is: totalTaxAmount = totalAmount - (totalAmount / (1+(taxRate/10000))).
      - `order.items.totalAmount` (number, required)
        Sum of all chargeable elements on the line added together. Formula is: totalAmount = (unitCost x quantity) - totalDiscountAmount.
      - `order.items.totalDiscountAmount` (number)
        Total line discount.
      - `order.items.productUrl` (string)
        Link to the product page that can later be embedded in communications between Klarna and your customer.
      - `order.items.imageUrl` (string)
        Link to the product image that can later be embedded in communications between Klarna and your customer.

Note: we recommend you submit this to improve the post-purchase customer experience.
      - `customerAgreement` (object, required)
      - `customerAgreement.type` (string, required)
        Enum: same as `customerAgreement.type` in "ideal recurring" (1 values)
    - open_banking:
      - `thirdPartyDataCustomerId` (string)
      - `expiryIn` (integer)
        Field is used for Pay by Link request. This parameter controls how many minutes a payment link will be available.
        Example: 120
    - paypal:
      - `settlement` (object)
        Indicates whether the transaction should be sent for settlement now = true, or later = false at a time of your choosing.
      - `settlement.auto` (boolean)
        Default false
      - `shipping` (object)
        The shipping address is required for recurring payments.
      - `shipping.firstName` (string)
        First name.
      - `shipping.lastName` (string)
        Last name.
      - `shipping.email` (string)
        Email address.
        Example: "moriarty@example.com"
      - `shipping.address` (object)
      - `shipping.address.address1` (string, required)
        First line of the address.
      - `shipping.address.address2` (string)
        Second line of the address.
      - `shipping.address.address3` (string)
        Third line of the address.
      - `shipping.address.postalCode` (string, required)
        Postal code.
      - `shipping.address.city` (string, required)
        City.
      - `shipping.address.state` (string, required)
        State.
      - `shipping.address.countryCode` (string, required)
        The supported [ISO 3166-1 alpha-2 country codes](/products/reference/supported-countries-currencies#iso-country-codes).
        Enum: same as `shipping.address.countryCode` in "ideal guest" (250 values)
    - pix:
      - `expiryIn` (integer)
        Time the QR code will remain valid, in seconds. If not provided, the default value of 86400 seconds is set.
    - sepa guest and first recurring:
      - `customerAgreement` (object, required)
        Object that contains agreement information.
      - `customerAgreement.type` (string, required)
        Enum: "oneTime"
      - `customerAgreement.mandate` (object, required)
      - `customerAgreement.mandate.type` (string, required)
        Enum: same as `customerAgreement.type` in "sepa guest and first recurring" (1 values)
      - `customerAgreement.mandate.mandateId` (string, required)
        Unique reference created by you which identifies each e-Mandate signed by your customer. See our [formatting requirements overview](/products/articles/sepa-emandate-and-best-practice#mandate-ids).
      - `customerAgreement.mandate.mandateSignatureDate` (string)
        ISO 8601 date-time (yyyy-mm-dd) when mandate has been signed.
      - `customerAgreement.mandate.description` (string)
        Description of why the recurring payment is being created.
    - sepa token:
      - `customerAgreement` (object, required)
      - `customerAgreement.type` (string, required)
        Enum: same as `customerAgreement.type` in "ideal recurring" (1 values)
      - `customerAgreement.reference` (string)
    - wechatpay:
      - `expiryIn` (integer)
        Payment expiration limit in minutes, with a value between 1 and 120.
        Example: 15

  - `instruction.customer` (object)

  - `instruction.paymentInstrument` (object)

  - `instruction.paymentInstrument.type` (string)
    Enum: "direct", "token", "checkout"

  - `instruction.narrative` (object)

  - `instruction.narrative.line1` (string, required)
    The description shown on your customer's bank statement for the payment.
    Example: "MindPalace"

  - `instruction.resultUrls` (object)

  - `instruction.resultUrls.success` (string)

  - `instruction.resultUrls.pending` (string)

  - `instruction.resultUrls.failure` (string)

  - `instruction.resultUrls.cancel` (string)

  - `instruction.value` (object)
    The value of the payment.

  - `instruction.value.currency` (string, required)
    The supported [ISO 4217 currency codes](/products/reference/supported-countries-currencies#iso-currency-codes).
    Enum: "AED", "AFN", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHF", "CLP", "CNH", "CNY", "COP", "CRC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SEK", "SGD", "SHP", "SLE", "SLL", "SOS", "SRD", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XCD", "XOF", "XPF", "YER", "ZAR", "ZMW"

  - `instruction.value.amount` (integer, required)
    The amount in the lowest denomination of the currency, e.g. pennies for GBP, cents for USD.
    Example: 1234

  - `instruction.method` (string)
    Type of payment method.

## Response 201 fields (application/json):

  - `paymentId` (string)
    The identifier of the payment resource.

  - `lastEvent` (string)
    Enum: "authorized", "cancelFailed", "cancelled", "cancelRequested", "sentForSettlement", "sentForAuthorization", "settlementFailed", "chargebackReversed", "chargedBack", "disputeExpired", "disputeFundsHeld", "disputeFundsReleased", "disputeReserveReleased", "error", "expired", "disputeInformationRequested", "disputInformationSupplied", "miscellaneous", "pending", "refunded", "refundExpired", "refundFailed", "refundReversed", "refused", "refusedByIssuer", "requestExpired", "sentForRefund", "settled", "settlementReversed", "cancelledByCustomer", "signedFormReceived", "unknown", "manuallyAmended"

  - `_links` (object)
    Links to resources related to the request.

  - `_links.self` (object)
    The URL you can invoke to fetch the last event for the payment.

  - `_links.self.href` (string)

  - `_actions` (object)

  - `_actions.reverse` (object)
    Link to resource to reverse, partially reverse, settle, partially settle, or confirm payment.

  - `_actions.reverse.href` (string)

  - `_actions.reverse.method` (string)

  - `_actions.partialReverse` (object)
    Link to resource to reverse, partially reverse, settle, partially settle, or confirm payment.

  - `_actions.settle` (object)
    Link to resource to reverse, partially reverse, settle, partially settle, or confirm payment.

  - `_actions.confirmPayment` (object)
    Link to resource to reverse, partially reverse, settle, partially settle, or confirm payment.

  - `redirect` (string)
    The URL to redirect your customer to, or a QR code in Base64 to show to your customer, in order to complete the transaction.

  - `commandId` (string)
    An action ID generated by us, identifying a single merchant interaction.
    Example: "cmdYNdIHBPJwbkjLiykzTx0"

  - `paymentInstrument` (object) — one of:
    Payment instrument details for the payment response.
    - PayPal:
      - `sdkReference` (string)
        SDK reference for smart button.
    - SEPA DD:
      - `tokenId` (string)
        ID of the token generated by us. We return this in the SEPA DD recurring response.
    - Klarna (recurring) token:
      - `tokenId` (string)
        Token ID.
      - `country` (string)
        Country.
      - `productType` (string)
        Product type.

  - `paymentInstrument.method` (string)
    Payment method.

  - `paymentInstrument.type` (string)
    Type of the payment instrument.

  - `transactionCode` (string)
    For Pix payments - display to your customer for them to copy and paste in the Pix app.

          For Swish payments - use this value as the {token} in the custom URL scheme: swish://paymentrequest?token={token}&callbackurl={callbackURL}. This will prompt the app to open, allowing your customer to complete their payment.
    Example: "IZQ3iUfePwiWiwldJlipl8NGVA7w5IUg"

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)


